# OpalMediaSession::Init Struct Reference

Initialisation information for constructing a session. More...

`#include <mediasession.h>`

Collaboration diagram for OpalMediaSession::Init:

[legend]

## Public Member Functions

| Init (OpalConnection &connection, unsigned sessionId, const OpalMediaType &mediaType, bool remoteBehindNAT)

## Data Fields

OpalConnection & | m_connection
unsigned | m_sessionId
OpalMediaType | m_mediaType
bool | m_remoteBehindNAT

## Detailed Description

Initialisation information for constructing a session.

## Constructor & Destructor Documentation

OpalMediaSession::Init::Init | ( | OpalConnection & | connection,
|  | unsigned | sessionId,
|  | const OpalMediaType & | mediaType,
|  | bool | remoteBehindNAT |
| ) |  |  | `[inline]`

Parameters:

  connection | Connection that owns the sesion
  sessionId | Unique (in connection) session ID for session
  mediaType | Media type for session

## Field Documentation

OpalConnection& OpalMediaSession::Init::m_connection

OpalMediaType OpalMediaSession::Init::m_mediaType

bool OpalMediaSession::Init::m_remoteBehindNAT

unsigned OpalMediaSession::Init::m_sessionId

The documentation for this struct was generated from the following file:

- mediasession.h